{% extends "application.html" %}

{% block style %}
<link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='js/plugin/quill/quill.snow.css') }}">
{% endblock %}

{% block content %}
<div class="container-fluid">

    <div class="row d-flex justify-content-between">
        <h1 class="h3 mb-2 text-gray-800">Hồ sơ triệu chứng</h1>
        <a href="{{ url_for('Patient.patient_record_list') }}" class="btn btn-primary btn-icon-split mb-2">
            <span class="text">Back</span>
        </a>
    </div>
    <div class="card shadow mb-4">
        {% if is_create %}
        <form id="identifier" class="record" accept-charset="UTF-8" role="form"
              action="{{ url_for('Patient.patient_record_create') }}" method="Post">
            {% else %}
            <form id="identifier" class="record" accept-charset="UTF-8" role="form"
                  action="{{ url_for('Patient.patient_record_update') }}" method="Post">
                {% endif %}
                <input type="text" hidden value="{{ csrf_token() }}" name="csrf_token">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">
                        <input type="text" class="form-control" name="title" value="{{ record.name if record else '' }}">
                    </h6>
                </div>
                <div class="card-body">
                    <input class="form-control" hidden name="id" type="text"
                           value="{{ record.id if record else '' }}">
                    <div class="row">
                        <div class="col-sm-12" style="color: black;">
                            <div id="editor" name="content" style="height: 300px;">
                                {% if record %}
                                {{ record.content |safe }}
                                {% endif %}
                            </div>
                            <textarea name="content" style="display:none" id="hiddenArea"></textarea>
                        </div>
                    </div>
                    <div class="row d-flex justify-content-center mt-2">
                        <button class="btn btn-primary">Submit</button>
                    </div>
                </div>
                {% if is_create %}
            </form>
            {% endif %}
            {% if not is_create %}
        </form>
        {% endif %}
    </div>
</div>

{% endblock %}
{% block script %}
<script src="{{ url_for('static', filename='js/plugin/quill/quill.min.js') }}"></script>
<!--<script src="{{ url_for('static', filename='js/plugin/quill/image-resize.min.js' ) }}"></script>-->
<script>
    var Size = Quill.import('attributors/style/size');
    Quill.register(Size, true);

    var toolbarOptions = [
        ['bold', 'italic', 'underline'],        // toggled buttons
        ['blockquote', 'code-block'],
        [{'list': 'ordered'}, {'list': 'bullet'}],
        [{'script': 'sub'}, {'script': 'super'}],      // superscript/subscript
        [{'header': [1, 2, 3, 4, 5, 6, false]}],
        ['link', 'image', 'formula'],          // add's image support
        [{'color': []}, {'background': []}],          // dropdown with defaults from theme
        [{'font': []}],
        [{'align': []}],
        ['clean'],                                   // remove formatting button

    ];

    var quill = new Quill('#editor', {
        modules: {
            // imageResize: {},
            toolbar: toolbarOptions,
        },
        theme: 'snow'
    });
</script>
<script>
    $("#identifier").on("submit", function () {
        $("#hiddenArea").val($("#editor").html());
    })
</script>
{% endblock %}